\documentclass{standalone}

\usepackage{tikz}
\input{couleur.sty}

\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm,mydashed/.style={dashed,dash phase=1pt}]
\clip(-0.25,-0.25) rectangle (4.25,4.25);
\draw [line width=1.5pt,mydashed,color=Gris2] (0,0)-- (4,0);
\draw [line width=1.5pt,mydashed,color=Gris2] (4,1)-- (0,1);
\draw [line width=1.5pt,mydashed,color=Gris2] (0,2)-- (4,2);
\draw [line width=1.5pt,mydashed,color=Gris2] (0,3)-- (4,3);
\draw [line width=1.5pt,mydashed,color=Gris2] (0,4)-- (4,4);
\draw [line width=1.5pt,mydashed,color=Gris2] (4,4)-- (0,4);
\draw [line width=1.5pt,mydashed,color=Gris2] (0,4)-- (0,0);
\draw [line width=1.5pt,mydashed,color=Gris2] (1,0)-- (1,4);
\draw [line width=1.5pt,mydashed,color=Gris2] (2,4)-- (2,0);
\draw [line width=1.5pt,mydashed,color=Gris2] (3,0)-- (3,4);
\draw [line width=1.5pt,mydashed,color=Gris2] (4,4)-- (4,0);
\begin{scriptsize}
\draw [fill=black] (1,0) circle (2.5pt);
\draw [fill=black] (2,1) circle (2.5pt);
\draw [fill=black] (0,2) circle (2.5pt);
\draw [fill=black] (3,2) circle (2.5pt);
\draw [fill=black] (4,2) circle (2.5pt);
\draw [fill=black] (4,3) circle (2.5pt);
\draw [fill=black] (1,4) circle (2.5pt);
\end{scriptsize}
\end{tikzpicture}
\end{document}